petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESRegisterAll

Registers all of the nonlinear solver methods in the SNES package.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESRegisterAll(void)

Not Collective

### See Also

SNESRegisterDestroy()

### Level

advanced

### Location

src/snes/interface/snesregi.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages